Bug 95583 - [NEW PORT] japanese/ja-kana-no-quiz: A little tool to memorize Japanese KANA (Hiragana/Katana)
Summary: [NEW PORT] japanese/ja-kana-no-quiz: A little tool to memorize Japanese KANA ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: sat
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-10 12:50 UTC by Nicola Vitale
Modified: 2006-05-14 21:30 UTC (History)
0 users

See Also:


Attachments
ja-kana-no-quiz-1.4.b.shar (12.92 KB, text/plain)
2006-04-10 12:50 UTC, Nicola Vitale
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicola Vitale 2006-04-10 12:50:15 UTC
Kana no quiz is a little tool to memorize japanese kana (hiragana & katakana).
The method is quite simple: kana randomly appear and you have to find their
transcription in rmaji (Hepburn). There are several possibilities, but only
one anwser is right!
Thanks to this method, you memorize the kana to its transcription, and thus
know how to pronouce it!

Author:	chopinou@choplair.org
WWW:	http://www.choplair.org/?Kana%20no%20quiz

Generated with FreeBSD Port Tools 0.63
Comment 1 Nicola Vitale 2006-04-13 20:54:29 UTC
New shar archive (there was a typo in the COMMENT field)

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	kana-no-quiz
#	kana-no-quiz/pkg-descr
#	kana-no-quiz/Makefile
#	kana-no-quiz/pkg-plist
#	kana-no-quiz/distinfo
#
echo c - kana-no-quiz
mkdir -p kana-no-quiz > /dev/null 2>&1
echo x - kana-no-quiz/pkg-descr
sed 's/^X//' >kana-no-quiz/pkg-descr << 'END-of-kana-no-quiz/pkg-descr'
XKana no quiz is a little tool to memorize japanese kana (hiragana & katakana).
XThe method is quite simple: kana randomly appear and you have to find their
Xtranscription in rmaji (Hepburn). There are several possibilities, but only
Xone anwser is right!
XThanks to this method, you memorize the kana to its transcription, and thus
Xknow how to pronouce it!
X
XAuthor:	chopinou@choplair.org
XWWW:	http://www.choplair.org/?Kana%20no%20quiz
END-of-kana-no-quiz/pkg-descr
echo x - kana-no-quiz/Makefile
sed 's/^X//' >kana-no-quiz/Makefile << 'END-of-kana-no-quiz/Makefile'
X# New ports collection makefile for:	kana-no-quiz
X# Date created:		2006-04-10
X# Whom:			Nicola Vitale	<nivit@email.it>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	kana-no-quiz
XPORTVERSION=	1.4.b
XCATEGORIES=	japanese
XMASTER_SITES=	http://download.berlios.de/${PORTNAME}/ \
X		http://download2.berlios.de/${PORTNAME}/
XDISTNAME=	${PORTNAME}-1.4b
X
XMAINTAINER=	nivit@email.it
XCOMMENT=	A little tool to memorize Japanese KANA (Hiragana/Katakana)
X
XRUN_DEPENDS=	${PYTHON_SITELIBDIR}/pygtk.py:${PORTSDIR}/x11-toolkits/py-gtk2 \
X		${PYTHON_SITELIBDIR}/_tkinter.so:${PORTSDIR}/x11-toolkits/py-tkinter
X
XNO_BUILD=	yes
XUSE_BZIP2=	yes
XUSE_GETTEXT=	yes
XUSE_PYTHON=	yes
X
XWRKSRC=	${WRKDIR}/${DISTNAME}
X
XFIND_DIRS=	-type d
XFIND_DATA=	data -type f
X
XLN_OPTS=	-sf
X
Xdo-install:
X	${MKDIR} ${DATADIR}
X	cd ${WRKSRC} && ${INSTALL_SCRIPT} ${PORTNAME}.py ${DATADIR}
X	${LN} ${LN_OPTS} ${DATADIR}/${PORTNAME}.py ${PREFIX}/bin/${PORTNAME}
X	cd ${WRKSRC} && ${FIND} . ${FIND_DIRS} -exec ${MKDIR} ${DATADIR}/{} \;
X	cd ${WRKSRC} && ${FIND} ${FIND_DATA} -exec ${INSTALL_DATA} {} ${DATADIR}/{} \;
X
X.include <bsd.port.mk>
END-of-kana-no-quiz/Makefile
echo x - kana-no-quiz/pkg-plist
sed 's/^X//' >kana-no-quiz/pkg-plist << 'END-of-kana-no-quiz/pkg-plist'
X@comment $FreeBSD$
Xbin/kana-no-quiz
X%%DATADIR%%/data/img/additional_katakana.gif
X%%DATADIR%%/data/img/basic_hiragana.gif
X%%DATADIR%%/data/img/basic_katakana.gif
X%%DATADIR%%/data/img/chprod.gif
X%%DATADIR%%/data/img/chprod.png
X%%DATADIR%%/data/img/contracted_hiragana.gif
X%%DATADIR%%/data/img/contracted_katakana.gif
X%%DATADIR%%/data/img/icon.png
X%%DATADIR%%/data/img/kana/h_a.gif
X%%DATADIR%%/data/img/kana/h_ba.gif
X%%DATADIR%%/data/img/kana/h_be.gif
X%%DATADIR%%/data/img/kana/h_bi.gif
X%%DATADIR%%/data/img/kana/h_bo.gif
X%%DATADIR%%/data/img/kana/h_bu.gif
X%%DATADIR%%/data/img/kana/h_bya.gif
X%%DATADIR%%/data/img/kana/h_byo.gif
X%%DATADIR%%/data/img/kana/h_byu.gif
X%%DATADIR%%/data/img/kana/h_cha.gif
X%%DATADIR%%/data/img/kana/h_chi.gif
X%%DATADIR%%/data/img/kana/h_cho.gif
X%%DATADIR%%/data/img/kana/h_chu.gif
X%%DATADIR%%/data/img/kana/h_da.gif
X%%DATADIR%%/data/img/kana/h_de.gif
X%%DATADIR%%/data/img/kana/h_do.gif
X%%DATADIR%%/data/img/kana/h_e.gif
X%%DATADIR%%/data/img/kana/h_fu.gif
X%%DATADIR%%/data/img/kana/h_ga.gif
X%%DATADIR%%/data/img/kana/h_ge.gif
X%%DATADIR%%/data/img/kana/h_gi.gif
X%%DATADIR%%/data/img/kana/h_go.gif
X%%DATADIR%%/data/img/kana/h_gu.gif
X%%DATADIR%%/data/img/kana/h_gya.gif
X%%DATADIR%%/data/img/kana/h_gyo.gif
X%%DATADIR%%/data/img/kana/h_gyu.gif
X%%DATADIR%%/data/img/kana/h_ha.gif
X%%DATADIR%%/data/img/kana/h_he.gif
X%%DATADIR%%/data/img/kana/h_hi.gif
X%%DATADIR%%/data/img/kana/h_ho.gif
X%%DATADIR%%/data/img/kana/h_hya.gif
X%%DATADIR%%/data/img/kana/h_hyo.gif
X%%DATADIR%%/data/img/kana/h_hyu.gif
X%%DATADIR%%/data/img/kana/h_i.gif
X%%DATADIR%%/data/img/kana/h_ja.gif
X%%DATADIR%%/data/img/kana/h_ji-2.gif
X%%DATADIR%%/data/img/kana/h_ji.gif
X%%DATADIR%%/data/img/kana/h_jo.gif
X%%DATADIR%%/data/img/kana/h_ju.gif
X%%DATADIR%%/data/img/kana/h_ka.gif
X%%DATADIR%%/data/img/kana/h_ke.gif
X%%DATADIR%%/data/img/kana/h_ki.gif
X%%DATADIR%%/data/img/kana/h_ko.gif
X%%DATADIR%%/data/img/kana/h_ku.gif
X%%DATADIR%%/data/img/kana/h_kya.gif
X%%DATADIR%%/data/img/kana/h_kyo.gif
X%%DATADIR%%/data/img/kana/h_kyu.gif
X%%DATADIR%%/data/img/kana/h_ma.gif
X%%DATADIR%%/data/img/kana/h_me.gif
X%%DATADIR%%/data/img/kana/h_mi.gif
X%%DATADIR%%/data/img/kana/h_mo.gif
X%%DATADIR%%/data/img/kana/h_mu.gif
X%%DATADIR%%/data/img/kana/h_mya.gif
X%%DATADIR%%/data/img/kana/h_myo.gif
X%%DATADIR%%/data/img/kana/h_myu.gif
X%%DATADIR%%/data/img/kana/h_n.gif
X%%DATADIR%%/data/img/kana/h_na.gif
X%%DATADIR%%/data/img/kana/h_ne.gif
X%%DATADIR%%/data/img/kana/h_ni.gif
X%%DATADIR%%/data/img/kana/h_no.gif
X%%DATADIR%%/data/img/kana/h_nu.gif
X%%DATADIR%%/data/img/kana/h_nya.gif
X%%DATADIR%%/data/img/kana/h_nyo.gif
X%%DATADIR%%/data/img/kana/h_nyu.gif
X%%DATADIR%%/data/img/kana/h_o-2.gif
X%%DATADIR%%/data/img/kana/h_o.gif
X%%DATADIR%%/data/img/kana/h_pa.gif
X%%DATADIR%%/data/img/kana/h_pe.gif
X%%DATADIR%%/data/img/kana/h_pi.gif
X%%DATADIR%%/data/img/kana/h_po.gif
X%%DATADIR%%/data/img/kana/h_pu.gif
X%%DATADIR%%/data/img/kana/h_pya.gif
X%%DATADIR%%/data/img/kana/h_pyo.gif
X%%DATADIR%%/data/img/kana/h_pyu.gif
X%%DATADIR%%/data/img/kana/h_ra.gif
X%%DATADIR%%/data/img/kana/h_re.gif
X%%DATADIR%%/data/img/kana/h_ri.gif
X%%DATADIR%%/data/img/kana/h_ro.gif
X%%DATADIR%%/data/img/kana/h_ru.gif
X%%DATADIR%%/data/img/kana/h_rya.gif
X%%DATADIR%%/data/img/kana/h_ryo.gif
X%%DATADIR%%/data/img/kana/h_ryu.gif
X%%DATADIR%%/data/img/kana/h_sa.gif
X%%DATADIR%%/data/img/kana/h_se.gif
X%%DATADIR%%/data/img/kana/h_sha.gif
X%%DATADIR%%/data/img/kana/h_shi.gif
X%%DATADIR%%/data/img/kana/h_sho.gif
X%%DATADIR%%/data/img/kana/h_shu.gif
X%%DATADIR%%/data/img/kana/h_so.gif
X%%DATADIR%%/data/img/kana/h_su.gif
X%%DATADIR%%/data/img/kana/h_ta.gif
X%%DATADIR%%/data/img/kana/h_te.gif
X%%DATADIR%%/data/img/kana/h_to.gif
X%%DATADIR%%/data/img/kana/h_tsu.gif
X%%DATADIR%%/data/img/kana/h_u.gif
X%%DATADIR%%/data/img/kana/h_wa.gif
X%%DATADIR%%/data/img/kana/h_ya.gif
X%%DATADIR%%/data/img/kana/h_yo.gif
X%%DATADIR%%/data/img/kana/h_yu.gif
X%%DATADIR%%/data/img/kana/h_za.gif
X%%DATADIR%%/data/img/kana/h_ze.gif
X%%DATADIR%%/data/img/kana/h_zo.gif
X%%DATADIR%%/data/img/kana/h_zu-2.gif
X%%DATADIR%%/data/img/kana/h_zu.gif
X%%DATADIR%%/data/img/kana/k_a.gif
X%%DATADIR%%/data/img/kana/k_ba.gif
X%%DATADIR%%/data/img/kana/k_be.gif
X%%DATADIR%%/data/img/kana/k_bi.gif
X%%DATADIR%%/data/img/kana/k_bo.gif
X%%DATADIR%%/data/img/kana/k_bu.gif
X%%DATADIR%%/data/img/kana/k_bya.gif
X%%DATADIR%%/data/img/kana/k_byo.gif
X%%DATADIR%%/data/img/kana/k_byu.gif
X%%DATADIR%%/data/img/kana/k_cha.gif
X%%DATADIR%%/data/img/kana/k_che.gif
X%%DATADIR%%/data/img/kana/k_chi.gif
X%%DATADIR%%/data/img/kana/k_cho.gif
X%%DATADIR%%/data/img/kana/k_chu.gif
X%%DATADIR%%/data/img/kana/k_da.gif
X%%DATADIR%%/data/img/kana/k_de.gif
X%%DATADIR%%/data/img/kana/k_di.gif
X%%DATADIR%%/data/img/kana/k_do.gif
X%%DATADIR%%/data/img/kana/k_du.gif
X%%DATADIR%%/data/img/kana/k_dyu.gif
X%%DATADIR%%/data/img/kana/k_e.gif
X%%DATADIR%%/data/img/kana/k_fa.gif
X%%DATADIR%%/data/img/kana/k_fe.gif
X%%DATADIR%%/data/img/kana/k_fi.gif
X%%DATADIR%%/data/img/kana/k_fo.gif
X%%DATADIR%%/data/img/kana/k_fu.gif
X%%DATADIR%%/data/img/kana/k_ga.gif
X%%DATADIR%%/data/img/kana/k_ge.gif
X%%DATADIR%%/data/img/kana/k_gi.gif
X%%DATADIR%%/data/img/kana/k_go.gif
X%%DATADIR%%/data/img/kana/k_gu.gif
X%%DATADIR%%/data/img/kana/k_gwa.gif
X%%DATADIR%%/data/img/kana/k_gya.gif
X%%DATADIR%%/data/img/kana/k_gyo.gif
X%%DATADIR%%/data/img/kana/k_gyu.gif
X%%DATADIR%%/data/img/kana/k_ha.gif
X%%DATADIR%%/data/img/kana/k_he.gif
X%%DATADIR%%/data/img/kana/k_hi.gif
X%%DATADIR%%/data/img/kana/k_ho.gif
X%%DATADIR%%/data/img/kana/k_hya.gif
X%%DATADIR%%/data/img/kana/k_hyo.gif
X%%DATADIR%%/data/img/kana/k_hyu.gif
X%%DATADIR%%/data/img/kana/k_i.gif
X%%DATADIR%%/data/img/kana/k_ja.gif
X%%DATADIR%%/data/img/kana/k_je.gif
X%%DATADIR%%/data/img/kana/k_ji-2.gif
X%%DATADIR%%/data/img/kana/k_ji.gif
X%%DATADIR%%/data/img/kana/k_jo.gif
X%%DATADIR%%/data/img/kana/k_ju.gif
X%%DATADIR%%/data/img/kana/k_ka.gif
X%%DATADIR%%/data/img/kana/k_ke.gif
X%%DATADIR%%/data/img/kana/k_ki.gif
X%%DATADIR%%/data/img/kana/k_ko.gif
X%%DATADIR%%/data/img/kana/k_ku.gif
X%%DATADIR%%/data/img/kana/k_kwa.gif
X%%DATADIR%%/data/img/kana/k_kwo.gif
X%%DATADIR%%/data/img/kana/k_kya.gif
X%%DATADIR%%/data/img/kana/k_kyo.gif
X%%DATADIR%%/data/img/kana/k_kyu.gif
X%%DATADIR%%/data/img/kana/k_ma.gif
X%%DATADIR%%/data/img/kana/k_me.gif
X%%DATADIR%%/data/img/kana/k_mi.gif
X%%DATADIR%%/data/img/kana/k_mo.gif
X%%DATADIR%%/data/img/kana/k_mu.gif
X%%DATADIR%%/data/img/kana/k_mya.gif
X%%DATADIR%%/data/img/kana/k_myo.gif
X%%DATADIR%%/data/img/kana/k_myu.gif
X%%DATADIR%%/data/img/kana/k_n.gif
X%%DATADIR%%/data/img/kana/k_na.gif
X%%DATADIR%%/data/img/kana/k_ne.gif
X%%DATADIR%%/data/img/kana/k_ni.gif
X%%DATADIR%%/data/img/kana/k_no.gif
X%%DATADIR%%/data/img/kana/k_nu.gif
X%%DATADIR%%/data/img/kana/k_nya.gif
X%%DATADIR%%/data/img/kana/k_nyo.gif
X%%DATADIR%%/data/img/kana/k_nyu.gif
X%%DATADIR%%/data/img/kana/k_o-2.gif
X%%DATADIR%%/data/img/kana/k_o.gif
X%%DATADIR%%/data/img/kana/k_pa.gif
X%%DATADIR%%/data/img/kana/k_pe.gif
X%%DATADIR%%/data/img/kana/k_pi.gif
X%%DATADIR%%/data/img/kana/k_po.gif
X%%DATADIR%%/data/img/kana/k_pu.gif
X%%DATADIR%%/data/img/kana/k_pya.gif
X%%DATADIR%%/data/img/kana/k_pyo.gif
X%%DATADIR%%/data/img/kana/k_pyu.gif
X%%DATADIR%%/data/img/kana/k_ra.gif
X%%DATADIR%%/data/img/kana/k_re.gif
X%%DATADIR%%/data/img/kana/k_ri.gif
X%%DATADIR%%/data/img/kana/k_ro.gif
X%%DATADIR%%/data/img/kana/k_ru.gif
X%%DATADIR%%/data/img/kana/k_rya.gif
X%%DATADIR%%/data/img/kana/k_ryo.gif
X%%DATADIR%%/data/img/kana/k_ryu.gif
X%%DATADIR%%/data/img/kana/k_sa.gif
X%%DATADIR%%/data/img/kana/k_se.gif
X%%DATADIR%%/data/img/kana/k_sha.gif
X%%DATADIR%%/data/img/kana/k_she.gif
X%%DATADIR%%/data/img/kana/k_shi.gif
X%%DATADIR%%/data/img/kana/k_sho.gif
X%%DATADIR%%/data/img/kana/k_shu.gif
X%%DATADIR%%/data/img/kana/k_so.gif
X%%DATADIR%%/data/img/kana/k_su.gif
X%%DATADIR%%/data/img/kana/k_ta.gif
X%%DATADIR%%/data/img/kana/k_te.gif
X%%DATADIR%%/data/img/kana/k_ti.gif
X%%DATADIR%%/data/img/kana/k_to.gif
X%%DATADIR%%/data/img/kana/k_tsa.gif
X%%DATADIR%%/data/img/kana/k_tse.gif
X%%DATADIR%%/data/img/kana/k_tso.gif
X%%DATADIR%%/data/img/kana/k_tsu.gif
X%%DATADIR%%/data/img/kana/k_tu.gif
X%%DATADIR%%/data/img/kana/k_tyu.gif
X%%DATADIR%%/data/img/kana/k_u.gif
X%%DATADIR%%/data/img/kana/k_va.gif
X%%DATADIR%%/data/img/kana/k_ve.gif
X%%DATADIR%%/data/img/kana/k_vi.gif
X%%DATADIR%%/data/img/kana/k_vo.gif
X%%DATADIR%%/data/img/kana/k_vu.gif
X%%DATADIR%%/data/img/kana/k_wa.gif
X%%DATADIR%%/data/img/kana/k_we.gif
X%%DATADIR%%/data/img/kana/k_wi.gif
X%%DATADIR%%/data/img/kana/k_wo.gif
X%%DATADIR%%/data/img/kana/k_ya.gif
X%%DATADIR%%/data/img/kana/k_ye.gif
X%%DATADIR%%/data/img/kana/k_yo.gif
X%%DATADIR%%/data/img/kana/k_yu.gif
X%%DATADIR%%/data/img/kana/k_za.gif
X%%DATADIR%%/data/img/kana/k_ze.gif
X%%DATADIR%%/data/img/kana/k_zo.gif
X%%DATADIR%%/data/img/kana/k_zu-2.gif
X%%DATADIR%%/data/img/kana/k_zu.gif
X%%DATADIR%%/data/img/logo.gif
X%%DATADIR%%/data/img/modified_hiragana.gif
X%%DATADIR%%/data/img/modified_katakana.gif
X%%DATADIR%%/data/img/rarrow.xbm
X%%DATADIR%%/data/locale/fr/LC_MESSAGES/kana-no-quiz.mo
X%%DATADIR%%/data/locale/fr/LC_MESSAGES/kana-no-quiz.po
X%%DATADIR%%/data/locale/kana-no-quiz.pot
X%%DATADIR%%/data/locale/pt_BR/LC_MESSAGES/kana-no-quiz.mo
X%%DATADIR%%/data/locale/pt_BR/LC_MESSAGES/kana-no-quiz.po
X%%DATADIR%%/data/locale/sr/LC_MESSAGES/kana-no-quiz.mo
X%%DATADIR%%/data/locale/sr/LC_MESSAGES/kana-no-quiz.po
X%%DATADIR%%/data/locale/sv/LC_MESSAGES/kana-no-quiz.mo
X%%DATADIR%%/data/locale/sv/LC_MESSAGES/kana-no-quiz.po
X%%DATADIR%%/data/py/gtk_gui.py
X%%DATADIR%%/data/py/gtk_gui.pyc
X%%DATADIR%%/data/py/i18n.py
X%%DATADIR%%/data/py/i18n.pyc
X%%DATADIR%%/data/py/kanaengine.py
X%%DATADIR%%/data/py/kanaengine.pyc
X%%DATADIR%%/data/py/options.py
X%%DATADIR%%/data/py/options.pyc
X%%DATADIR%%/data/py/score.py
X%%DATADIR%%/data/py/score.pyc
X%%DATADIR%%/data/py/tkinter_gui.py
X%%DATADIR%%/data/py/tkinter_gui.pyc
X%%DATADIR%%/kana-no-quiz.py
X@dirrm %%DATADIR%%/data/img/kana
X@dirrm %%DATADIR%%/data/img
X@dirrm %%DATADIR%%/data/locale/fr/LC_MESSAGES
X@dirrm %%DATADIR%%/data/locale/fr
X@dirrm %%DATADIR%%/data/locale/pt_BR/LC_MESSAGES
X@dirrm %%DATADIR%%/data/locale/pt_BR
X@dirrm %%DATADIR%%/data/locale/sr/LC_MESSAGES
X@dirrm %%DATADIR%%/data/locale/sr
X@dirrm %%DATADIR%%/data/locale/sv/LC_MESSAGES
X@dirrm %%DATADIR%%/data/locale/sv
X@dirrm %%DATADIR%%/data/locale
X@dirrm %%DATADIR%%/data/py
X@dirrm %%DATADIR%%/data
X@dirrm %%DATADIR%%
END-of-kana-no-quiz/pkg-plist
echo x - kana-no-quiz/distinfo
sed 's/^X//' >kana-no-quiz/distinfo << 'END-of-kana-no-quiz/distinfo'
XMD5 (kana-no-quiz-1.4b.tar.bz2) = d2fdeba5ab858226bed89dab87a1e4f4
XSHA256 (kana-no-quiz-1.4b.tar.bz2) = 77586f2a02a6f82f80cf0a942edf7a4ea283f1a0b11cbee2670593b4326e45c5
XSIZE (kana-no-quiz-1.4b.tar.bz2) = 2035674
END-of-kana-no-quiz/distinfo
exit
Comment 2 sat freebsd_committer 2006-05-09 20:08:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sat

I'll take it
Comment 3 sat freebsd_committer 2006-05-14 21:30:43 UTC
State Changed
From-To: open->closed

Committed an updated version, thanks!